// const { request } = require('../utils/util.js')
const util = require('../utils/util');

module.exports = {
  // 设备列表
  deviceList: (data) => {
    return util.request("/mini/wx/device/base/deviceList", data, "GET", util.jsonType, false)
  },

  // 设备类型列表
  deviceTypeList: (data) => {
    return util.request("/mini/wx/device/base/typeList", data, "GET", util.jsonType, false)
  },
  // 设备分类列表
  deviceCategoryList: (data) => {
    return util.request("/mini/wx/device/base/categoryList", data, "GET", )
  },
  // 设备版本 OTA
  deviceVersion: (clientType, type, version) => {
    console.log("OTA版本：", clientType, type, version)
    return util.request("/mini/wx/device/base/appDeviceVersionGet", {
      clientType: clientType,
      type: type,
      version: version,
    }, "GET", ).catch((error) => {
      console.error('Request error:', error);
      // 处理错误
    });
  },
  // 壁纸列表
  deviceWallPaper: () => {
    return util.request("/mini/wx/config/wallpaperList", {}, "GET", )
  },

}